> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragma.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Open interests



## OpenAPI

````yaml open-apis/node.json get /node/v1/open_interest/{base}/{quote}
openapi: 3.1.0
info:
  title: pragma-node
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://{environment}.pragma.build
    variables:
      environment:
        default: api.devnet
security: []
tags:
  - name: pragma-node
    description: Pragma Node API
paths:
  /node/v1/open_interest/{base}/{quote}:
    get:
      tags:
        - Open Interest
      operationId: get_latest_open_interest
      parameters:
        - name: base
          in: path
          description: Base asset symbol (e.g., BTC)
          required: true
          schema:
            type: string
        - name: quote
          in: path
          description: Quote asset symbol (e.g., USD)
          required: true
          schema:
            type: string
        - name: source
          in: query
          required: true
          schema:
            type: string
        - name: timestamp
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int64
      responses:
        '200':
          description: Successfully retrieved open interest
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetLatestOpenInterestResponse'
components:
  schemas:
    GetLatestOpenInterestResponse:
      type: object
      required:
        - pair
        - source
        - timestamp_ms
        - open_interest
      properties:
        open_interest:
          type: number
          format: double
          description: Open interest value quoted in the base asset
        pair:
          type: string
        source:
          type: string
        timestamp_ms:
          type: integer
          format: int64
          minimum: 0

````